package flows;
import java.util.*;
import flow4j.flow.*;

public class Webapp extends AbstractFlow {
	final private ITask TaskFlowlet_2_task = FlowMgr.getTaskInstance("mytasks.PutTextInDict");;
	final private ITask TaskFlowlet_4_task = FlowMgr.getTaskInstance("mytasks.PutTextInDict");;

	public Webapp() {
		TaskFlowlet_2_task.setProperty("text", "two");
		TaskFlowlet_4_task.setProperty("text", "one");
	}

	final public void start(String entry, FlowDictionary dictionary) {
		if (entry.equals("Start2")) StartFlowlet_1(dictionary);
		if (entry.equals("Start1")) StartFlowlet_3(dictionary);
	}
	final private void StartFlowlet_1(FlowDictionary dictionary) {
		//	name: Start2
		Connection_8(dictionary);
	}
	final private void TaskFlowlet_2(FlowDictionary dictionary) {
		//	class: mytasks.PutTextInDict
		TaskFlowlet_2_task.execute(dictionary);
		Connection_9(dictionary);
	}
	final private void StartFlowlet_3(FlowDictionary dictionary) {
		//	name: Start1
		Connection_6(dictionary);
	}
	final private void TaskFlowlet_4(FlowDictionary dictionary) {
		//	class: mytasks.PutTextInDict
		TaskFlowlet_4_task.execute(dictionary);
		Connection_7(dictionary);
	}
	final private void TemplateFlowlet_5(FlowDictionary dictionary) {
		dictionary.setTemplateName("bla.jsp");
	}
	final private void Connection_6(FlowDictionary dictionary) {
		TaskFlowlet_4(dictionary);
	}
	final private void Connection_7(FlowDictionary dictionary) {
		TemplateFlowlet_5(dictionary);
	}
	final private void Connection_8(FlowDictionary dictionary) {
		TaskFlowlet_2(dictionary);
	}
	final private void Connection_9(FlowDictionary dictionary) {
		TemplateFlowlet_5(dictionary);
	}

}
