#!/bin/sh

#java -Dant.home=/Users/agreif/apis/jakarta-ant-1.4.1 -classpath /Users/agreif/apis/jakarta-ant-1.4.1/lib/ant.jar:/Users/agreif/apis/jakarta-ant-1.4.1/lib/jaxp.jar:/Users/agreif/apis/jakarta-ant-1.4.1/lib/parser.jar org.apache.tools.ant.Main "$@"


echo
echo "Flow4J Build System"
echo "-------------------"

IS_DARWIN=`echo $OSTYPE | grep -n darwin`

if [ $IS_DARWIN ]; then
  JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Versions/CurrentJDK
  JAVA=$JAVA_HOME/Commands/java
else
  JAVA=$JAVA_HOME/bin/java
fi

if [ "$JAVA_HOME" = "" ] ; then
  echo "ERROR: JAVA_HOME not found in your environment."
  echo
  echo "Please, set the JAVA_HOME variable in your environment to match the"
  echo "location of the Java Virtual Machine you want to use."
  exit 1
fi

if [ `echo $OSTYPE | grep -n cygwin` ]; then
  PS=";"
else
  PS=":"
fi

LOCALCLASSPATH=$JAVA_HOME/lib/tools.jar${PS}./lib/crimson.jar${PS}./lib/ant.jar${PS}./lib/jaxp.jar
LOCALCLASSPATH=$LOCALCLASSPATH${PS}./lib/nice.jar${PS}./lib/kjc-2.1B-bin.jar${PS}
ANT_HOME=./lib

#echo Building with classpath $LOCALCLASSPATH${PS}$ADDITIONALCLASSPATH
#echo

echo Starting Ant...

# One person found a seg fault with jdk 1.3.0 on Linux where adding -classic
# to the following line fixed the issue

$JAVA -Dant.home=$ANT_HOME -classpath $LOCALCLASSPATH${PS}$ADDITIONALCLASSPATH org.apache.tools.ant.Main $*
