/**************************************************************************/
/*                                Flow4J                                  */
/*             A visual process flow configuration framework              */
/*                         (c) Alex Greif 2003                            */
/*                                                                        */
/*  This program is free software; you can redistribute it and/or modify  */
/*  it under the terms of the GNU General Public License as published by  */
/*  the Free Software Foundation; either version 2 of the License, or     */
/*  (at your option) any later version.                                   */
/*                                                                        */
/**************************************************************************/

package flow4j.flow;

import java.util.HashMap;


/**	The flow dictionary that extends HashMap and contains some more special
key-value pairs.
 */
public class FlowDictionary extends HashMap {

	/**	Template name used in servlets to show the following page
	 */
	private String templateName;




	/**
	 */
	public void setTemplateName(String templateName) {
		this.templateName = templateName;
	}

	/**
	 */
	public String getTemplateName() {
		return templateName;
	}



}


