/**************************************************************************/
/*                                Flow4J                                  */
/*             A visual process flow configuration framework              */
/*                         (c) Alex Greif 2003                            */
/*                                                                        */
/*  This program is free software; you can redistribute it and/or modify  */
/*  it under the terms of the GNU General Public License as published by  */
/*  the Free Software Foundation; either version 2 of the License, or     */
/*  (at your option) any later version.                                   */
/*                                                                        */
/**************************************************************************/

package flow4j.flow;

import java.util.Map;


/**	This interface makes a class exetcutable for the FlowMgr
 by the command pattern.
 */
public interface IFlow {


	/**	Starts the flow at the given entry withthe given dictionary.
	 */
	public void start(String entry, FlowDictionary dictionary);


}

